'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
var _a = require('cucumber-expressions'), CucumberExpression = _a.CucumberExpression, ParameterTypeRegistry = _a.ParameterTypeRegistry;
var CucumberMatcher = /** @class */ (function () {
    function CucumberMatcher() {
    }
    CucumberMatcher.prototype.match = function (expression, text) {
        var cucumberExpression = new CucumberExpression(expression, new ParameterTypeRegistry());
        var args = cucumberExpression.match(text);
        if (!args) {
            return null;
        }
        return args.map(function (arg) { return arg.getValue(null); });
    };
    CucumberMatcher.prototype.matches = function (expression, text) {
        var values = this.match(expression, text);
        return (values && values.length);
    };
    return CucumberMatcher;
}());
exports.CucumberMatcher = CucumberMatcher;
//# sourceMappingURL=cucumber-expressions.js.map